Subject: bug#70039: closed (Re: bug#70039: 30.0.50; list-packages install: Invalid read syntax: "#")

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 01 Mar 2025 03:02:02 +0000

Your bug report

#70039: 30.0.50; list-packages install: Invalid read syntax: "#"

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70039: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70039
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70039: 30.0.50; list-packages install: Invalid read syntax: "#"
From: Stefan Kangas <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], Stefan Monnier <[email-masked]>
Date: Fri, 28 Feb 2025 19:01:07 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Heerdegen <[email-masked]> writes:

> Stefan Monnier <[email-masked]> writes:
>
>> > the problem disappears.  This commit causes a destruction of my custom
>> > file when it gets pp-filled, by adding newlines into #N# syntaxes, like
>> > #1# => #1\n#.
>>
>> I pushed a patch to `master` which should fix this problem
>
> Works for me, thanks.

I'm therefore closing this bug report.

Subject: 30.0.50; list-packages install: Invalid read syntax: "#"
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Wed, 27 Mar 2024 22:10:40 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

got this new error today when trying to install a package with M-x
list-packages.

When I revert this commit:

  7e32e8392ab "Fix recent test regressions"
  (Stefan Monnier <[email-masked]> 2024-03-22)

the problem disappears.  This commit causes a destruction of my custom
file when it gets pp-filled, by adding newlines into #N# syntaxes, like
#1# => #1\n#.

Attached is a test file.  If you (pp-fill (point-min) (point-max))
you will see this effect happen near the end of that file.

TIA,

Michael.